Package org.zkoss.idom

## Class Text

- java.lang.Object
- - org.zkoss.idom.impl.AbstractItem
  - - org.zkoss.idom.impl.AbstractTextual
    - - org.zkoss.idom.Text

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `org.w3c.dom.CharacterData`, `org.w3c.dom.Node`, `org.w3c.dom.Text`, `Item`, `Textual`

      public class Text
      extends AbstractTextual
      implements org.w3c.dom.Text

  The iDOM Text.
  Author:
    tomyeh
  See Also:
    `CData`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.zkoss.idom.impl.AbstractTextual

      `_text`

    - ### Fields inherited from interface org.zkoss.idom.Item

      `FIND_BY_PREFIX, FIND_BY_REGEX, FIND_BY_TAGNAME, FIND_IGNORE_CASE, FIND_RECURSIVE`

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Text()` | Constructor.
    `Text​(java.lang.String text)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` | Gets the name of the item.
    `short` | `getNodeType()` |
    `boolean` | `isCoalesceable()` | Always returns true to denote it allows to be coalesced with its siblings with the same type (class).

    - ### Methods inherited from class org.zkoss.idom.impl.AbstractTextual

      `appendData, checkText, deleteData, getData, getLength, getText, getTextContent, getWholeText, insertData, isElementContentWhitespace, isPartOfParentText, replaceData, replaceWholeText, setData, setText, split, splitText, substringData, toString`

    - ### Methods inherited from class org.zkoss.idom.impl.AbstractItem

      `appendChild, clone, cloneNode, compareDocumentPosition, detach, equals, getAttributes, getBaseURI, getChildNodes, getDocument, getFeature, getFirstChild, getLastChild, getLocalName, getLocator, getNamespaceURI, getNextSibling, getNodeName, getNodeValue, getOwnerDocument, getParent, getParentNode, getPrefix, getPreviousSibling, getUserData, hasAttributes, hasChildNodes, hashCode, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, match, normalize, removeChild, replaceChild, setLocator, setName, setNodeValue, setParent, setPrefix, setTextContent, setUserData`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.w3c.dom.CharacterData

      `appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

    - ### Methods inherited from interface org.w3c.dom.Text

      `getWholeText, isElementContentWhitespace, replaceWholeText, splitText`

- - ### Constructor Detail

    - #### Text

          public Text​(java.lang.String text)

      Constructor.

    - #### Text

          public Text()

      Constructor.

  - ### Method Detail

    - #### isCoalesceable

          public final boolean isCoalesceable()

      Always returns true to denote it allows to be coalesced with its siblings with the same type (class).
      Specified by:
        `isCoalesceable` in interface `Textual`
      Overrides:
        `isCoalesceable` in class `AbstractTextual`

    - #### getName

          public final java.lang.String getName()

      Description copied from interface: `Item`
      Gets the name of the item. For vertices that support namespace (implements Namespaceable), it is the same as getTagName.
      Specified by:
        `getName` in interface `Item`
      See Also:
        `Namespaceable.getTagName()`

    - #### getNodeType

          public final short getNodeType()

      Specified by:
        `getNodeType` in interface `org.w3c.dom.Node`